petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSFSetRankOrder

sort multi-points for gathers and scatters by rank order

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetRankOrder(PetscSF sf,PetscBool flg)

Logically Collective

### Input Arguments

| sf | - star forest
| flg | - PETSC_TRUE to sort, PETSC_FALSE to skip sorting (lower setup cost, but non-deterministic)

### See Also

PetscSFGatherBegin(), PetscSFScatterBegin()

### Level

advanced

### Location

src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages